Component deployments
Queue another attempt for a failed custom-component deployment.
The retry uses the same immutable source revision and digest. Roles: COMPONENT_WRITE,COMPONENT_ADMIN.
POST
/
api
/
v1
/
component
/
{componentId}
/
deployments
/
{deploymentId}
/
retry
Queue another attempt for a failed custom-component deployment.
curl --request POST \
--url https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}/retry \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"deploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 8,
"attempt": 1,
"status": "QUEUED",
"sourceDigest": "<string>",
"artifactReady": true,
"queuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"stage": "PREPARING",
"error": {
"code": "DEPENDENCY_INSTALL_FAILED",
"message": "The deployment could not install one or more dependencies.",
"retryable": true
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}Authorizations
Bearer JWT token or API Key (sk-*).
Response
Required range:
x >= 1Example:
8
Required range:
x >= 1Example:
1
Available options:
QUEUED, DEPLOYING, READY, FAILED, SUPERSEDED, CANCELED, EXPIRED SHA-256 digest of the immutable revision source.
Whether this attempt produced a verified artifact.
Example:
true
Available options:
PREPARING, UPLOADING, BUILDING, VERIFYING, PROMOTING Show child attributes
Show child attributes
⌘I
Queue another attempt for a failed custom-component deployment.
curl --request POST \
--url https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}/retry \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"deploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 8,
"attempt": 1,
"status": "QUEUED",
"sourceDigest": "<string>",
"artifactReady": true,
"queuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"stage": "PREPARING",
"error": {
"code": "DEPENDENCY_INSTALL_FAILED",
"message": "The deployment could not install one or more dependencies.",
"retryable": true
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
